%global snapdate 20221105
%global commit 84ffe86d6c4ed545ba4732accd3790060935a37e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global qt5_min_version 5.15.2
%global kf5_min_version 5.98
%global welcome_extra_pages_path %{_datadir}/%{name}/extra-pages

Name:           plasma-welcome
Version:        5.26.80^git%{snapdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Friendly onboarding wizard for KDE Plasma

License:        GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
URL:            https://invent.kde.org/plasma/plasma-welcome
Source0:        %{url}/-/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  cmake >= 3.16
BuildRequires:  extra-cmake-modules >= %{kf5_min_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_min_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_min_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_min_version}
BuildRequires:  cmake(KF5KIO) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Kirigami2) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Notifications) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Service) >= %{kf5_min_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_min_version}
BuildRequires:  cmake(Qt5Core) >= %{qt5_min_version}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_min_version}
BuildRequires:  cmake(Qt5Network) >= %{qt5_min_version}
BuildRequires:  cmake(Qt5Qml) >= %{qt5_min_version}
BuildRequires:  cmake(Qt5QuickControls2) >= %{qt5_min_version}
BuildRequires:  cmake(Qt5Svg) >= %{qt5_min_version}
BuildRequires:  /usr/bin/appstreamcli


%description
The Plasma Welcome Center is the perfect introduction to KDE Plasma!
It can help you learn how to connect to the internet, install apps,
customize the system, and more!


%prep
%autosetup -n %{name}-%{commit}


%build
%cmake_kf5 -DDISTRO_PAGE_PATH="%{welcome_extra_pages_path}/"
%cmake_build


%install
%cmake_install

# Create extra pages dir
mkdir -p %{buildroot}%{welcome_extra_pages_path}

# Ship RPM macros for plasma-welcome
mkdir -p %{buildroot}%{_rpmmacrodir}

cat > %{buildroot}%{_rpmmacrodir}/macros.plasmawelcome <<END_WELCOME
%%plasmawelcome_extrapagedir %{welcome_extra_pages_path}
END_WELCOME

%find_lang %{name}


%check
appstreamcli validate --no-net %{buildroot}%{_metainfodir}/org.kde.%{name}.appdata.xml


%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.kde.%{name}.desktop
%{_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_qmldir}/org/kde/plasma/welcome/
%dir %{_datadir}/%{name}/extra-pages
%{_rpmmacrodir}/macros.plasmawelcome


%changelog
* Sun Nov 06 2022 Neal Gompa <ngompa@fedoraproject.org>
- Initial packaging
